mia-3dvfcompare
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dvfcompare

#### Sysnopis:

`mia-3dvfcompare` {-1 `io`} {-2 `io`} [ `options` ...]

#### Description:

Compare two vector fields and print the out the difference norm per pixel to cout it it is larger than delta.

#### Options:

-1, --in-file-1=(input, required); io

  input vector field 1. For supported file types see Plugin type: 3dvf/io

-2, --in-file-2=(input, required); io

  input vector field 2. For supported file types see Plugin type: 3dvf/io

-d, --delta=0; float

  Maximum difference between vector to be ignored

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Compare vector fields vf1.v and vf2.v and print out all differences above 0.01.

    mia-3dvfcompare -1 vf1.v -2 vf2.v -d 0.01

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dvf2transform | Home | Registration of series of 3D images